<?php  
@session_start(); 
ob_start();
date_default_timezone_set("America/Chihuahua");
include('servicio.php');
$conn=ibase_connect($servicedini.":".$rutadini.$empresadini."",$usuariodini, $basedecode);
if (!$conn){
  session_destroy();
  echo "Servicio denegado";  
  exit;
}

$_SESSION["consecutivo"]++;


$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){
  include 'pagination.php'; //incluir el archivo de paginación
  //las variables de paginación
  $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;

 

  $per_page = 25; //la cantidad de registros que desea mostrar
  $offset = ($page - 1) * $per_page;
  //Cuenta el número total de filas de la tabla*/
  $numrows = 0;

 
  $query="SELECT * FROM MG_ESTATUS_PEDIDOS";


  $result = ibase_query($conn, $query); 
  while ($row = ibase_fetch_object($result)){
      $numrows++;
  }
  $total_pages = ceil($numrows/$per_page);
  $reload = 'index.php';

  if ($_SESSION["consecutivo"] > $total_pages) {
    $_SESSION["consecutivo"] = 1;
  }

$query1="SELECT VALOR FROM MG_CONFIG_CM_VE WHERE NOMBRE = 'CAMBIAR_PAGINA_MONITOR'";
$result1 = ibase_query($conn, $query1);
while ($row1 = ibase_fetch_object($result1)){
  $VALOR = $row1->VALOR * 1000;
}

$ic = 0;
$query2="SELECT VALOR FROM MG_CONFIG_CM_VE WHERE NOMBRE = 'HABILITA_CUARTO_CHICO' AND VALOR = 'S'";
$result2 = ibase_query($conn, $query2);
while ($row2 = ibase_fetch_object($result2)){
  $ic++;
  $_SESSION["ACTIVO_CUARTO_CHICO"] = $row2->VALOR;
}
if ($ic < 0) {
  $_SESSION["ACTIVO_CUARTO_CHICO"] = 'N';
}




      echo "<div id='datosTRUPER'>
        <table class='table table-bordered table-striped'>

          <thead>
            <tr>
              <th class='trupeColor'>Ruta de reparto<br></th>
              <th class='trupeColor'>No. pedido</th>
              <th class='trupeColor'>No. lista de surtido</th>
              <th class='trupeColor'>No. partidas</th>
              <th class='trupeColor'>No. piezas totales del pedido</th>
              <th class='trupeColor'>Hora de creación de lista de surtido</th>
              <th class='trupeColor'>Surtidor asignado</th>
              <th class='trupeColor'>Hora de asignación</th>";
              if ($_SESSION["ACTIVO_CUARTO_CHICO"] == 'S'){echo "<th class='trupeColor'>Piezas x surtir sector 2</th>
                                        <th class='trupeColor'>Hora cierre de pedido en sector 2</th>
                                        <th class='trupeColor'>Piezas x surtir sector 3</th>
                                        <th class='trupeColor'>Hora cierre de pedido en sector 3</th>";}  
      
              echo "
              <th class='trupeColor'>Piezas x surtir sector 1 (almacén general)</th>
              <th class='trupeColor'>Hora de entrega de pedido en mesa</th>
              <th class='trupeColor'>Mesa verificación</th>
              <th class='trupeColor'>Hora de inicio verificación</th>
              <th class='trupeColor'>Hora cierre verificación</th>
              <th class='trupeColor'>No. bultos</th>
              <th class='trupeColor'>Hora de asignación de rampa</th>
              <th class='trupeColor'>No. rampa</th>
              <th class='trupeColor'>Hora de embarque</th>
              <th class='trupeColor'>No. de hoja de ruta</th>
            </tr>
          </thead>
          <tbody  id='datosPro'>";

      $query="SELECT First $per_page Skip $offset * FROM MG_ESTATUS_PEDIDOS ORDER BY RUTA_REPARTO ASC, NO_PEDIDO ASC";
      $result = ibase_query($conn, $query);
      while ($row = ibase_fetch_object($result)){

      echo "<tr>";

      if ($row->RUTA_REPARTO!='') {echo "<th>".$row->RUTA_REPARTO."</th>";}else{echo "<th></th>";}
      if ($row->NO_PEDIDO!='') {echo "<th>".$row->NO_PEDIDO."</th>";}else{echo "<th></th>";}
      if ($row->NO_LISTA_SURTIDO!='') {echo "<th>".$row->NO_LISTA_SURTIDO."</th>";}else{echo "<th></th>";}

/*1*/ if ($row->NO_PARTIDAS!='') {echo "<th id='a".$row->NO_PEDIDO."'>".$row->NO_PARTIDAS."</th>";}
      else{echo "<th id='a".$row->NO_PEDIDO."'></th>";}

/*2*/ if ($row->NO_PZAS_TOTALES!='') {echo "<th id='b".$row->NO_PEDIDO."'>".$row->NO_PZAS_TOTALES."</th>";}
      else{echo "<th id='b".$row->NO_PEDIDO."'></th>";}



/*3*/ if ($row->HORA_C_LISTA_SURTIDO!='') {echo "<th id='c".$row->NO_PEDIDO."'>".$row->HORA_C_LISTA_SURTIDO."</th>";}
      else{echo "<th id='c".$row->NO_PEDIDO."'></th>";}      
      



/*4*/ if ($row->SURTIDOR_ASIGNADO!='') {echo "<th id='d".$row->NO_PEDIDO."'>".$row->SURTIDOR_ASIGNADO."</th>";}
      else{echo "<th id='d".$row->NO_PEDIDO."'></th>";}

      
/*5*/ if ($row->HORA_ASIGNACION!='') {echo "<th id='e".$row->NO_PEDIDO."'>".$row->HORA_ASIGNACION."</th>";}
      else{echo "<th id='e".$row->NO_PEDIDO."'></th>";}

////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
if ($_SESSION["ACTIVO_CUARTO_CHICO"] == 'S'){
  if ($row->PZAS_SECTOR_2!='') {echo "<th>".$row->PZAS_SECTOR_2."</th>";}else{echo "<th></th>";}

  /*6*/ if ($row->CIERRE_P_SECTOR_2!='') {echo "<th id='f".$row->NO_PEDIDO."'>".$row->CIERRE_P_SECTOR_2."</th>";}
        else{echo "<th id='f".$row->NO_PEDIDO."'></th>";}

  if ($row->PZAS_SECTOR_3!='') {echo "<th>".$row->PZAS_SECTOR_3."</th>";}else{echo "<th></th>";}


  /*7*/ if ($row->CIERRE_P_SECTOR_3!='') {echo "<th id='g".$row->NO_PEDIDO."'>".$row->CIERRE_P_SECTOR_3."</th>";}
        else{echo "<th id='g".$row->NO_PEDIDO."'></th>";}

}
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////
////////////////////////////////////////////////////CAMPOS DE CUARTO CHICO////////////////////////////////////////////////


      if ($row->PZAS_SECTOR_1!='') {echo "<th>".$row->PZAS_SECTOR_1."</th>";}else{echo "<th></th>";}


/*8*/ if ($row->HORA_C_ENTREGA_P_MESA!='') {echo "<th id='h".$row->NO_PEDIDO."'>".$row->HORA_C_ENTREGA_P_MESA."</th>";}
      else{echo "<th id='h".$row->NO_PEDIDO."'></th>";}



/*9*/ if ($row->MESA_VERIFICACION!='') {echo "<th id='i".$row->NO_PEDIDO."'>".$row->MESA_VERIFICACION."</th>";}
      else{echo "<th id='i".$row->NO_PEDIDO."'></th>";}



/*10*/ if ($row->HORA_I_VERIFICACION!='') {echo "<th id='j".$row->NO_PEDIDO."'>".$row->HORA_I_VERIFICACION."</th>";}
      else{echo "<th id='j".$row->NO_PEDIDO."'></th>";}



/*11*/ if ($row->HORA_C_VERIFICACION!='') {echo "<th id='k".$row->NO_PEDIDO."'>".$row->HORA_C_VERIFICACION."</th>";}
      else{echo "<th id='k".$row->NO_PEDIDO."'></th>";}



/*12*/ if ($row->NO_BULTOS!='') {echo "<th id='l".$row->NO_PEDIDO."'>".$row->NO_BULTOS."</th>";}
      else{echo "<th id='l".$row->NO_PEDIDO."'></th>";}



/*13*/ if ($row->HORA_ASIGNACION_RAMPA!='') {echo "<th id='m".$row->NO_PEDIDO."'>".$row->HORA_ASIGNACION_RAMPA."</th>";}
      else{echo "<th id='m".$row->NO_PEDIDO."'></th>";}



/*14*/ if ($row->NO_RAMPA!='') {echo "<th id='n".$row->NO_PEDIDO."'>".$row->NO_RAMPA."</th>";}
      else{echo "<th id='n".$row->NO_PEDIDO."'></th>";}


/*15*/ if ($row->HORA_EMBARQUE!='') {echo "<th id='o".$row->NO_PEDIDO."'>".$row->HORA_EMBARQUE."</th>";}
      else{echo "<th id='o".$row->NO_PEDIDO."'></th>";}


/*16*/ if ($row->NO_HOJA_RUTA!='') {echo "<th id='p".$row->NO_PEDIDO."'>".$row->NO_HOJA_RUTA."</th>";}
      else{echo "<th id='p".$row->NO_PEDIDO."'></th>";}

      echo "<script>compruebaCuadros('".$row->NO_PEDIDO."');</script></tr>";
    }
    echo "
    
    </tbody>

    </table>
    <input type='hidden' value=".$VALOR." id='tiempo'/>
    <script>
      time = document.getElementById('tiempo').value;
      myVar = setTimeout('registrosTRUPER2(".$_SESSION["consecutivo"].")',time);
    </script>
    </div>";
  


}


?>










































